<?php

namespace AppBundle\Entity\Education;

use Doctrine\ORM\Mapping as ORM;
use Dunglas\ApiBundle\Annotation\Iri;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;
use AppBundle\Entity\Traits\TimestampableEntity;
use AppBundle\Entity\Traits\CreatorUpdaterEntity;

/**
 * Notation custom pour un critère donnée pour une évaluation
 *
 * @Iri("http://schema.org/EducationNotation")
 */
#[ORM\Entity]
class CustomNotation
{
    use TimestampableEntity;
    use CreatorUpdaterEntity;
    /**
     * @var int
     */
    #[ORM\Column(type: 'integer')]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'AUTO')]
    #[Groups(['customnotation', 'criterianotation_reference'])]
    private $id;
    /**
     * @var CriteriaNotation
     */
    #[ORM\ManyToOne(targetEntity: 'AppBundle\Entity\Education\CriteriaNotation', inversedBy: 'customNotation')]
    #[Groups(['customnotation'])]
    private $criteriaNotation;
    /**
     * @var string
     */
    #[ORM\Column(type: 'string')]
    #[Assert\Type(type: 'string')]
    #[Assert\NotNull]
    #[Groups(['customnotation', 'criterianotation_reference_customnotation'])]
    private $label;
    public function __construct() {
    }
    /**
     * Sets id.
     *
     * @param int $id
     *
     * @return $this
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }
    /**
     * Gets id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Sets criteriaNotation.
     *
     * @param CriteriaNotation $criteriaNotation
     *
     * @return $this
     */
    public function setCriteriaNotation($criteriaNotation)
    {
        $this->criteriaNotation = $criteriaNotation;

        return $this;
    }
    /**
     * Gets criteriaNotation.
     *
     * @return CriteriaNotation
     */
    public function getCriteriaNotation()
    {
        return $this->criteriaNotation;
    }
    /**
     * Sets label.
     *
     * @param string $label
     *
     * @return $this
     */
    public function setLabel($label)
    {
        $this->label = $label;

        return $this;
    }
    /**
     * Gets label.
     *
     * @return string
     */
    public function getLabel()
    {
        return $this->label;
    }
}
